<?php
global $wpdb;
$keywords = $wpdb->get_results("SELECT * FROM wp_tbl_wpgalert WHERE status='0'"); 



?>
<style>
#wp_google_alert{
	margin:10px;
	font-size: 14px;
	line-height: 1.6;
}
#wp_google_alert input[type='text'],
#wp_google_alert select,
#wp_google_alert textarea{
	width:100%;
}
#frm_googlealert{
	width:75%;
	margin: auto;
}
.pending_keywords {
	border: 3px double #bbb;
}
.pending_keywords th{
	font-weight: bold;
	background: none;
	border:none;
	border-bottom: 3px double #ccc;
}
.pending_keywords td{
	width:200px;
	text-align: center;
	background: #eee;
	border: 1px solid #ccc;
	font-size: 12px;
}
</style>

<div class='wrap' id="wp_google_alert">
	<div id="icon-edit" class="icon32 icon32-posts-credit_solutions"><br></div>
	<h2>Google Alert Plugin Tool</h2>
	<hr />
	<form name='frm_googlealert' id='frm_googlealert' method="POST" action="<?php echo plugins_url('wpgooglealert/process.php') ?>">
		<table width="100%">
			<tr>
				<td width="150">Search Query:</td>
				<td><textarea name="q" required="required"></textarea></td>
			</tr>
			<tr>
				<td>Result Type:</td>
				<td><select name="t">
			<option value="7">Everything</option>
			<option value="1">News</option>
			<option value="4">Blogs</option>
			<option value="9">Video</option>
			<option value="8">Discussion</option>
			<option value="2">Books</option>
		</select></td>
			</tr>
			<tr>
				<td>How often:</td>
				<td><select name="f">
			<option value="0">As-it-happens</option>
			<option value="1">Once a day</option>
			<option value="6">Once a week</option>
		</select></td>
			</tr>
			<tr>
				<td>How many:</td>
				<td><select name="l">
			<option value="0">Only the best results</option>
			<option value="1">All results</option>
		</select></td>
			</tr>
			<tr>
				<td>Your email:</td>
				<td><input type="text" name="e" required="required" /></td>
			</tr>
			<tr>
				
					<?php 
					if(count($keywords)>0): ?>
					<td colspan='2'>
						<p id='frm_last_p'>
						<input id="btn_submit_googlealert" class='button-primary' type="submit" value="Add Alert to Queue">
						</p>
					</td>
					<?php else: ?>
					<td>
						<p id='frm_last_p'>
						<input id="btn_submit_googlealert" class='button-primary' type="submit" value="Submit Alert">
						</p>
					</td>
					<?php endif; ?>				
			</tr>
		</table>	
	</form>
	<hr />
	<div style="text-align:center;width: 75%;margin: auto;">
		<h2 style="font-weight:bold">Keywords Pending:</h2>	
		<a id='btn_submit_next_3' class='button-primary' style="font-size:17px !important;">Submit 3 Pending Keywords</a>
		<p>Note: Click this button only if you already confirmed the previous google alerts from your email.</p>
		<table class='pending_keywords' width="100%">
			<thead>
				<tr>
					<th>Keyword</th>
					<th>Type</th>
					<th>Often</th>
					<th>Many</th>
					<th>Email</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<?php 
				if(count($keywords)>0):
					foreach($keywords as $keyword): 
					switch($keyword->t){
						case '7': $type='Everything'; break;
						case '1': $type='News'; break;
						case '4': $type='Blogs'; break;
						case '9': $type='Video'; break;
						case '8': $type='Discussion'; break;
						case '2': $type='Books'; break;
					}
					switch($keyword->f){
						case '0': $often='As-it-happens'; break;
						case '1': $often='Once a day'; break;
						case '6': $often='Once a week'; break;
					}
					switch($keyword->l){
						case '0': $many='Only the best results'; break;
						case '1': $many='All results'; break;
					}

					?>
					<tr>
						<td><?php echo urldecode($keyword->keywords) ?></td>
						<td><?php echo $type ?></td>
						<td><?php echo $often ?></td>
						<td><?php echo $many ?></td>
						<td><?php echo urldecode($keyword->e) ?></td>
						<td><a style='cursor:pointer;' class='btn-delete' rel='<?php echo $keyword->id ?>'><img src='<?php echo plugins_url('wpgooglealert/delete.png') ?>' title='Delete' alt="Delete" /></a></td>
					</tr>
					<?php endforeach; 
				else: ?>
					<tr><td colspan='6'><em><marquee>No record</marquee></em></td></tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<hr />
	<iframe src="http://www.google.com/alerts/manage"></iframe>
	
</div>

<script>
jQuery(".btn-delete").live('click',function(){

	_data = "func=delete&id="+jQuery(this).attr('rel');
	jQuery.post(jQuery("#frm_googlealert").attr('action'),_data,function(data){
		if(data=="Success"){
			alert('Record Deleted.');		
			window.location.href=window.location.href;
		}
		else{
			console.log(data);
		}
	});
});
jQuery("#btn_submit_next_3").live('click',function(){
	var loading = "<img src='<?php echo plugins_url('wpgooglealert/ajax-loader.gif') ?>' />";
	jQuery(this).attr('disabled', 'disabled').append(loading);
	jQuery.post(jQuery("#frm_googlealert").attr('action'),"func=submit_next",function(data){
		if(data=="Success"){
			alert('Successfully Submitted Google Alert/s.');
			window.location.href=window.location.href;
		}
		else{
			console.log(data);
		}
	});
});
jQuery("#frm_googlealert").submit(function(e){
	e.preventDefault();
	var loading = "<img src='<?php echo plugins_url('wpgooglealert/ajax-loader.gif') ?>' />";
	window._alert = "Successfully Submitted Google Alert(s).";
	jQuery("#btn_submit_googlealert").attr('disabled', 'disabled');
	jQuery("#frm_last_p").append(loading);
	_data = jQuery(this).serialize();
	if(jQuery("#btn_submit_googlealert").attr('value')!="Submit Alert"){
		_data += "&func=add_to_queue";
		window._alert = "Successfully Added to Queue...";
	}
	jQuery.post(jQuery(this).attr('action'), _data, function(data) {
		if(data=="Success"){
			alert(window._alert);
			window.location.href=window.location.href;
		}
		else{
			//alert("There's a javascript error. Contact the developer. ");
			console.log(data);
			//window.location.href=window.location.href;
		}
	});
	return false;
});
</script>