<?php  
    /* 
    Plugin Name: WP Google Alert 
    Plugin URI: http://www.themetribe.com 
    Description: Google Alert.
    Author: ThemeTribe
    Version: 1.0 
    Author URI: http://www.themetribe.com 
    */ 

global $wp_galert_version;
$wp_galert_version = "1.0";
	
function front_styles2(){
	wp_enqueue_script("jquery");
}
add_action('wp_enqueue_scripts', 'front_styles2');


function galert_install() {
   global $wpdb;
   global $wp_galert_version;

   $table_name = $wpdb->prefix . "tbl_wpgalert";
      
   $sql = "CREATE TABLE $table_name (
  id mediumint(9) NOT NULL AUTO_INCREMENT,
  keywords text NOT NULL,
  t text NOT NULL,
  f text NOT NULL,
  l text NOT NULL,
  e text NOT NULL,
  status text NOT NULL,
  UNIQUE KEY id (id)
    );";

   require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($sql);
 
   add_option("wp_galert_version", $wp_galert_version);
}
register_activation_hook(__FILE__,'galert_install');

function theme_panel(){
	$page = add_menu_page('Google Alert', "Google Alert", 'administrator', 'google_alert', 'theme_panel_init');	
}
function theme_panel_init(){
	if (!current_user_can('administrator'))
		wp_die( __('You do not have sufficient permissions to access this page.') );
	include(WP_PLUGIN_DIR."/wpgooglealert/panel.php");
}
add_action('admin_menu', 'theme_panel');